-- DO
-- $do$
--     DECLARE r record;
--     BEGIN
--         IF EXISTS(
--                 SELECT -- SELECT list can stay empty for this
--                 FROM (SELECT current_user) AS tb1
--                 WHERE tb1.current_user = 'postgres') THEN
--
--             IF NOT EXISTS(
--                     SELECT -- SELECT list can stay empty for this
--                     FROM   pg_catalog.pg_roles
--                     WHERE  rolname = 'usr_sentry') THEN
--
--                 create user usr_sentry with password 'usr_sentry';
--
--             END IF;
--
--                 IF EXISTS (
--                         SELECT  -- SELECT list can stay empty for this
--                         FROM pg_database WHERE datistemplate = false AND datname = 'sentry'
--                     )
--                 THEN
--                     CREATE DATABASE sentry
--                         WITH OWNER = usr_sentry
--                         ENCODING = 'UTF8'
--                         TABLESPACE = pg_default
--                         LC_COLLATE = 'C.UTF-8'
--                         LC_CTYPE = 'C.UTF-8'
--                         CONNECTION LIMIT = -1;
--
--                     CREATE SCHEMA IF NOT EXISTS sentry AUTHORIZATION usr_sentry;
--
--                     ALTER DATABASE sentry SET search_path = sentry, public;
--
--                     GRANT CONNECT ON DATABASE sentry TO usr_sentry;
--
--                 END IF;
--             END IF;
--     END;
-- $do$;